Bug 175501 - after running up2date init cannot mount sata drives
Summary: after running up2date init cannot mount sata drives
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-12 00:06 UTC by Benj FitzPatrick
Modified: 2013-07-03 02:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 04:53:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/fstab (998 bytes, text/plain)
2005-12-12 20:03 UTC, Benj FitzPatrick
no flags Details
dmesg (16.20 KB, text/plain)
2005-12-12 20:04 UTC, Benj FitzPatrick
no flags Details

Description Benj FitzPatrick 2005-12-12 00:06:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
After install I used up2date to get the latest SMP kernel, and everything works ok still.  Then I used it to get the rest of the updates.  After it reboots it runs into problems during init where it says that my 2 sata partitions /dev/sda2 and /dev/sdb2 are already mounted or busy so it can't mount them.  If I try to mount them manually once I login I receive the same error as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.reboot
2.
3.
  

Actual Results:  Neither of the sata drives get mounted.

Additional info:

Comment 1 Benj FitzPatrick 2005-12-12 00:08:33 UTC
Also, the box is an iwill dk8x (w/ latest bios) with 8x512MB of corsair pc3200
reg/ecc and dual opteron 275s.  I have 4 other computers with opteron 246s and
275s which do not exhibit this problem.

Comment 2 Bill Nottingham 2005-12-12 19:05:59 UTC
Please attach fstab and /var/log/dmesg.

What SATA driver are you using? 

Comment 3 Benj FitzPatrick 2005-12-12 20:03:04 UTC
Created attachment 122154 [details]
/etc/fstab

Comment 4 Benj FitzPatrick 2005-12-12 20:04:01 UTC
Created attachment 122155 [details]
dmesg

Comment 5 Benj FitzPatrick 2005-12-12 20:05:40 UTC
I am using the silicon image driver, sata_sil.  I noticed that SysV was one of
the first programs to be updated by up2date, do you think the problem might lie
there?

Comment 6 Jason Baron 2005-12-13 01:28:59 UTC
strange. ok, to help narrow this down as a possible kernel problem. If you
reboot the old kernel does the system come up normally? Can you also please
specify the kernel versions that worked and did work, via 'uname -a'. thanks.

Comment 7 Benj FitzPatrick 2005-12-13 01:49:41 UTC
Just to let you know, the first error that pops up during init is:
INIT: Entering runlevel: 5 quotas: [failed]

This happens for all kernels I have loaded (2.6.9-5.EL and 2.6.9-22.0.1.EL and
the smp version).  I can't use the 2.6.9-5.ELsmp kernel b/c I get an error and
it hangs before it ever gets to init.

Just to be sure to answer your question, no the old kernel (2.6.9-5) does not
come up normally either.


Note You need to log in before you can comment on or make changes to this bug.